# OpalMediaStatistics Class Reference

`#include <mediasession.h>`

Collaboration diagram for OpalMediaStatistics:

[legend]

## Public Types

| FaxNotStarted = -2
| FaxInProgress = -1
| FaxSuccessful = 0
| FaxErrorBase = 1
| FaxCompressionUnknown
| FaxCompressionT4_1d
| FaxCompressionT4_2d
| FaxCompressionT6
enum | { FaxNotStarted = -2, FaxInProgress = -1, FaxSuccessful = 0, FaxErrorBase = 1 }
enum | FaxCompression { FaxCompressionUnknown, FaxCompressionT4_1d, FaxCompressionT4_2d, FaxCompressionT6 }

## Public Member Functions

| OpalMediaStatistics ()

## Data Fields

PTime | m_startTime
PUInt64 | m_totalBytes
unsigned | m_totalPackets
unsigned | m_packetsLost
unsigned | m_packetsOutOfOrder
unsigned | m_packetsTooLate
unsigned | m_packetOverruns
unsigned | m_minimumPacketTime
unsigned | m_averagePacketTime
unsigned | m_maximumPacketTime
unsigned | m_averageJitter
unsigned | m_maximumJitter
unsigned | m_jitterBufferDelay
unsigned | m_totalFrames
unsigned | m_keyFrames
int | m_quality
OpalMediaStatistics::Fax | m_fax

## Friends

ostream & | operator<< (ostream &strm, FaxCompression compression)

## Data Structures

struct | Fax

## Detailed Description

This class carries statistics on the media stream.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  FaxNotStarted |
  FaxInProgress |
  FaxSuccessful |
  FaxErrorBase |

enum OpalMediaStatistics::FaxCompression

Enumerator:

  FaxCompressionUnknown |
  FaxCompressionT4_1d |
  FaxCompressionT4_2d |
  FaxCompressionT6 |

## Constructor & Destructor Documentation

OpalMediaStatistics::OpalMediaStatistics | ( |  | ) |

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | FaxCompression | compression |
| ) |  |  | `[friend]`

## Field Documentation

unsigned OpalMediaStatistics::m_averageJitter

unsigned OpalMediaStatistics::m_averagePacketTime

struct OpalMediaStatistics::Fax OpalMediaStatistics::m_fax

unsigned OpalMediaStatistics::m_jitterBufferDelay

unsigned OpalMediaStatistics::m_keyFrames

unsigned OpalMediaStatistics::m_maximumJitter

unsigned OpalMediaStatistics::m_maximumPacketTime

unsigned OpalMediaStatistics::m_minimumPacketTime

unsigned OpalMediaStatistics::m_packetOverruns

unsigned OpalMediaStatistics::m_packetsLost

unsigned OpalMediaStatistics::m_packetsOutOfOrder

unsigned OpalMediaStatistics::m_packetsTooLate

int OpalMediaStatistics::m_quality

PTime OpalMediaStatistics::m_startTime

PUInt64 OpalMediaStatistics::m_totalBytes

unsigned OpalMediaStatistics::m_totalFrames

unsigned OpalMediaStatistics::m_totalPackets

The documentation for this class was generated from the following file:

- mediasession.h